package net.roseindia;
import org.hibernate.Session;
import org.hibernate.SessionFactory;

import net.roseindia.model.*;
/**
 * @author Deepak Kumar 
 * Web: http://www.roseindia.net
 */

public class LoadExample {
	public static void main(String[] args) throws Exception {

		SessionFactory sessFact = HibernateUtil.getSessionFactory();
		Session session = sessFact.getCurrentSession();
		org.hibernate.Transaction tr = session.beginTransaction();
		Employee emp = (Employee)session.load(Employee.class, 1);
		System.out.println(emp.getId());
		System.out.println(emp.getEmpName());
		System.out.println(emp.getEmpMobileNos());

		tr.commit();
		System.out.println("Data displayed");
		sessFact.close();
	}
}
